Issue 77492

Summary: Allow query designer to be called in SQL view
Product: Base Reporter: drewjensen.inbox
Component: codeAssignee: marc.neumann
Status: CLOSED FIXED QA Contact: issues@dba <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: recent-trunkKeywords: oooqa, usability
Target Milestone: OOo 2.4   
Hardware: All   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description drewjensen.inbox 2007-05-19 00:30:21 UTC
Current situation

In the property sheet for the report there is the ability to select Content Type
of 'SQL Command'. When the user does this they can open a query designer window
by using the pushbutton next to the Content property control, IF the property
Analyze SQL command is set to YES.

When the query designer is opened in this manner the user may switch to SQL view
mode, but the Run SQL Direct feature is disabled.

However, there are queries that a user may need to build that can not have this
setting.

Changing the Analyze SQL command to NO disables this push button. The user must
then either enter the SQL statement in the drop down section of the Content
property control or toggle back to the Base window, open a designer in SQL view
mode. Build the select statement, copy it to the clip board and then toggle back
to the Report Designer window and paste it into the Content control.

Enhancements:


The pushbutton to open the query designer window should not be disabled when
Analyze SQL is NO. Instead with this is setting the query designer should be
opened in SQL view mode and 'Run SQL direct' pre-selected.

If the user opens the query designer with Analyze SQl set to yes, then switches
to SQL view in the query designer the Run SQL Direct button should not be
disabled. If the user needs to select this to execute the query the Report
Designer should recognize this upon saving the query and change the Analyze SQL
Statement property in the report to NO.
Comment 1 drewjensen.inbox 2007-05-19 00:31:00 UTC
add keywords
Comment 2 Frank Schönheit 2007-05-19 20:42:02 UTC
for completeness: That's not related to the report designer, the same behavior
can be observed when editing form properties, thus the same RFE applies there.
Comment 3 Frank Schönheit 2007-05-19 20:55:06 UTC
resetting target. In opposite to what has been announced, the iTeam decided to use 

- "not determined" when the iTeam had a look at the issue, but decided it is no
showstopper and no "should fix" for the first release

- "no target" when the issue has not been looked at by the iTeam
Comment 4 marc.neumann 2007-05-23 10:16:19 UTC
confirm and send to the right developer
Comment 5 Frank Schönheit 2007-05-23 11:01:21 UTC
accepting
Comment 6 marc.neumann 2007-09-10 15:43:10 UTC
The Report Designer iTeam decided to retargeting this issue to "2.x".
Comment 7 Frank Schönheit 2007-09-12 10:10:58 UTC
fixed in CWS dba24c

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdba24c
Comment 8 Frank Schönheit 2007-09-12 10:15:59 UTC
Note: this has been implemented for the property browser in general, not only
for the report designer's property browser.

Also note that with the fix for issue 66624, the SQL command designer is also
available for list and combo boxes when their "List Content Type" property is
set to "SQL". For completeness, this is now also allowed for "SQL [native]",
which maps to "Direct SQL" in the SQL command designer.
Comment 9 Frank Schönheit 2007-11-05 12:33:43 UTC
fs-> msc: please verify in CWS dba24c
Comment 10 Frank Schönheit 2007-11-07 08:46:56 UTC
targeting to 2.4, since the fix is part of a CWS aiming for this release
Comment 11 marc.neumann 2007-11-07 13:52:24 UTC
verified in CWS dba24c

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdba24c
Comment 12 drewjensen.inbox 2008-03-10 12:56:38 UTC
Tested w/ Xp and Linux using m_9 and m_10

closing